<?php
    require 'Mailer.php';

    $mailer = new Mailer();

    $templatePath = 'templates/membresia_porvencer.html';

    $htmlContent = file_get_contents($templatePath);

    $datos = array(
        '{{name}}' => 'Pablo Cruz'
    );
    
    // Reemplazar los marcadores de posición con los valores reales
    foreach ($datos as $clave => $valor) {
        $htmlContent = str_replace($clave, $valor, $htmlContent);
    }

    $to = 'pgcrurom@gmail.com';
    $subject = 'Tu membresía a Aúna se renovará pronto';
    $body = $htmlContent;
    $altBody = '';
    $attachments = [];

    if ($mailer->sendEmail($to, $subject, $body, $altBody, $attachments)) {
    }

?>